﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using System.Windows;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Random rand = new Random(DateTime.Now.Millisecond);
            List<Person> studentList = new List<Person>();

            for (int i = 0; i < rand.Next(9, 12); i++)
                studentList.Add(new Person("Person" + i, rand.Next(15, 100)));

            List<PersonViewModel> modelList = new List<PersonViewModel>();
            foreach (Person person in studentList)
                modelList.Add(new PersonViewModel(person));

            RadChart1.DefaultView.ChartArea.AxisY.AutoRange = false;
            RadChart1.DefaultView.ChartArea.AxisY.MinValue = 0;
            RadChart1.DefaultView.ChartArea.AxisY.MaxValue = 100;
            RadChart1.DefaultView.ChartArea.AxisY.Step = 10;
            RadChart1.DefaultView.ChartArea.AxisX.LayoutMode = AxisLayoutMode.Inside;
            RadChart1.DefaultView.ChartLegend.Visibility = System.Windows.Visibility.Collapsed;

            RadChart1.DefaultSeriesDefinition = new ScatterSeriesDefinition();
            RadChart1.DefaultSeriesDefinition.ItemStyle = this.Resources["CustomScatterPointStyle"] as Style;

            SeriesMapping seriesMapping = new SeriesMapping();
            seriesMapping.ItemMappings.Add(new ItemMapping("Person.Grade", DataPointMember.YValue));
            seriesMapping.ItemMappings.Add(new ItemMapping("Person.Name", DataPointMember.XCategory));

            RadChart1.SeriesMappings.Add(seriesMapping);
            RadChart1.ItemsSource = modelList;
        }


    }
}
