﻿using System.ComponentModel;
using System.Windows.Media;
using System;

namespace SilverlightApplication1
{
	public class Person : INotifyPropertyChanged
	{
		private double grade;
		private string _name;
 
		public string Name
		{
			get
			{
				return _name;
			}
			private set
			{
				_name = value;
			}
		}

		public double Grade
		{
			get
			{
				return this.grade;
			}
			set
			{
				this.grade = value;
				this.OnPropertyChanged("Grade");
			}
		}

		public Person(string name, double grade)
		{
			Name = name;
			Grade = grade;
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
